Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 169865 - utime fails when group member moves file to the recycle bin
Summary: utime fails when group member moves file to the recycle bin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard: RHEL3U7NAK
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-10-04 15:49 UTC by Bastien Nocera
Modified: 2014-08-31 23:27 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0364
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:49:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
utime.c (deleted)
2005-10-04 15:49 UTC, Bastien Nocera
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0364 normal SHIPPED_LIVE samba bug fix update 2006-07-19 18:56:00 UTC

Description Bastien Nocera 2005-10-04 15:49:17 UTC
samba-3.0.9-1.3E.5

1. Create 2 users (sambaone and sambatwo)
2. Add them as members of a single group (testrecycle)
3. Make a share available one a client, with the vfs recycle bin as explained in:
http://www.redhat.com/advice/tips/sambatrash.html
4. As sambaone, create a file (messages) on the share
5. As sambatwo, rm the file just created (messages)

The touch (which uses utime) will fail:
        recycle:touch = Yes

[2005/10/03 13:07:37, 0] modules/vfs_recycle.c:recycle_do_touch(316)
  recycle: touching .recycle/sambatwo/./messages failed, reason = Operation not
permitted

The .recycle directory looks like:
drwx--S---    2 sambatwo testrecycle     4096 Oct  3 14:13 sambatwo
drwx--S---    2 sambaone testrecycle     4096 Oct  3 10:16 sambaone
drwxrwsr-x    3 root     testrecycle     4096 Oct  3 13:53 ..
drwxrwsr-x    4 root     testrecycle     4096 Sep 29 14:20 .
The files in sambatwo look like:
drwx--S---    2 sambatwo testrecycle     4096 Oct  3 14:13 .
drwxrwsr-x    4 root     testrecycle     4096 Sep 29 14:20 ..
-rw-rw----    1 sambaone testrecycle        0 Oct  3 14:06 messages

Running utime() (with the attached test case) on the messages file fails as
well, because of the permissions on the directory.

Comment 1 Bastien Nocera 2005-10-04 15:49:19 UTC
Created attachment 119609 [details]
utime.c

Comment 5 Bob Johnson 2006-04-11 16:16:30 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 9 Red Hat Bugzilla 2006-07-20 14:49:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0364.html



Note You need to log in before you can comment on or make changes to this bug.